class Handler:
    def __init__(self, server):
        self.currentid = "0"
        self.pos = ["0:", "1:"]

        self.server = server

    def handler(self, connection, address):
        self.server.send(connection, self.currentid)

        if self.currentid == "0":
            self.currentid = "1"

        elif self.currentid == "1":
            self.currentid = "0"

        reply = ""

        while True:
            reply = self.server.recv(connection)

            print("Recieved: " + reply)
            id = int(reply[:1])
            self.pos[id] = reply

            if id == 0:
                nid = 1

            if id == 1:
                nid = 0

            reply = self.pos[nid][:]
            print("Sending: " + reply)

            self.server.send(connection, reply)