# AerM
A library for multiplayer games.

## Getting Started
1) Install Python
2) Open cmd/terminal and type:

```
pip install AerM
```

## Examples
# Making a server
``` python
import aerm
from aernetworking import *

server = Server()
server.port = 5656
server.ip = server.get_local_ip()

aermulti = aerm.Handler(server)

server.listen(function = aermulti.handler)
```

# Making a client
``` python
from aernetworking import *
import aerm

client = Client()
client.port = 5656
client.ip = client.get_local_ip()
client.connect()

aermulti = aerm.Communicator(client)

while True:
    pass
```